## r-cran-dorng 1.7.1

=== DESCRIPTION ===
Package: doRNG
Type: Package
Title: Generic Reproducible Parallel Backend for 'foreach' Loops
Version: 1.7.1
Authors@R: person("Renaud", "Gaujoux", email = "renozao@protonmail.com", role = c("aut", "cre"))
Description: Provides functions to perform
    reproducible parallel foreach loops, using independent
    random streams as generated by L'Ecuyer's combined
    multiple-recursive generator [L'Ecuyer (1999), <DOI:10.1287/opre.47.1.159>].
    It enables to easily convert standard %dopar% loops into
    fully reproducible loops, independently of the number
    of workers, the task scheduling strategy, or the chosen
    parallel environment and associated foreach backend.
License: GPL (>= 2)
LazyLoad: yes
URL: https://renozao.github.io/doRNG
BugReports: http://github.com/renozao/doRNG/issues
VignetteBuilder: knitr
Depends: R (>= 3.0.0), foreach, rngtools (>= 1.3)
Imports: stats, utils, iterators, pkgmaker (>= 0.20)
Suggests: doParallel, doMPI, doRedis, rbenchmark, devtools, knitr,
        bibtex, testthat
Collate: 'doRNG-package.R' 'doRNG.R'
RoxygenNote: 6.0.1.9000
NeedsCompilation: no
Packaged: 2018-06-18 06:42:24 UTC; renaud
Author: Renaud Gaujoux [aut, cre]
Maintainer: Renaud Gaujoux <renozao@protonmail.com>
Repository: CRAN
Date/Publication: 2018-06-22 21:04:57 UTC

=== debian/changelog ===
r-cran-dorng (1.7.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sat, 23 Jun 2018 12:17:58 +0200

r-cran-dorng (1.6.6-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jun 2018 17:18:27 +0200

r-cran-dorng (1.6.6-1) unstable; urgency=medium

  * Initial release (closes: #895509)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Apr 2018 10:36:04 +0200

=== debian/control ===
Source: r-cran-dorng
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-foreach,
               r-cran-rngtools (>= 1.3),
               r-cran-iterators,
               r-cran-pkgmaker
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dorng
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dorng.git
Homepage: https://cran.r-project.org/package=doRNG

Package: r-cran-dorng
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R generic reproducible parallel backend for 'foreach' loops
 This GNU R package provides functions to perform
 reproducible parallel foreach loops, using independent
 random streams as generated by L'Ecuyer's combined
 multiple-recursive generator [L'Ecuyer (1999), <DOI:10.1287/opre.47.1.159>].
 It enables to easily convert standard %dopar% loops into
 fully reproducible loops, independently of the number
 of workers, the task scheduling strategy, or the chosen
 parallel environment and associated foreach backend.

## r-cran-dorng 1.8.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Package: doRNG
 Type: Package
 Title: Generic Reproducible Parallel Backend for 'foreach' Loops
-Version: 1.7.1
+Version: 1.8.2
+Encoding: UTF-8
 Authors@R: person("Renaud", "Gaujoux", email = "renozao@protonmail.com", role = c("aut", "cre"))
 Description: Provides functions to perform
     reproducible parallel foreach loops, using independent
@@ -16,15 +17,14 @@
 URL: https://renozao.github.io/doRNG
 BugReports: http://github.com/renozao/doRNG/issues
 VignetteBuilder: knitr
-Depends: R (>= 3.0.0), foreach, rngtools (>= 1.3)
-Imports: stats, utils, iterators, pkgmaker (>= 0.20)
+Depends: R (>= 3.0.0), foreach, rngtools (>= 1.5)
+Imports: stats, utils, iterators
 Suggests: doParallel, doMPI, doRedis, rbenchmark, devtools, knitr,
-        bibtex, testthat
-Collate: 'doRNG-package.R' 'doRNG.R'
-RoxygenNote: 6.0.1.9000
+        bibtex, testthat, pkgmaker (>= 0.31)
+RoxygenNote: 7.0.2
 NeedsCompilation: no
-Packaged: 2018-06-18 06:42:24 UTC; renaud
+Packaged: 2020-01-26 15:58:10 UTC; renaud
 Author: Renaud Gaujoux [aut, cre]
 Maintainer: Renaud Gaujoux <renozao@protonmail.com>
 Repository: CRAN
-Date/Publication: 2018-06-22 21:04:57 UTC
+Date/Publication: 2020-01-27 06:30:14 UTC

=== debian/changelog ===
r-cran-dorng (1.8.2-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 16:28:39 +0000

r-cran-dorng (1.8.2-2) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 07:01:04 +0200

r-cran-dorng (1.8.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Test-Depends:
     - s/r-cran-runit/r-cran-testthat/
     - r-cran-doparallel

 -- Andreas Tille <tille@debian.org>  Fri, 31 Jan 2020 12:04:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-foreach,
-               r-cran-rngtools (>= 1.3),
-               r-cran-iterators,
-               r-cran-pkgmaker
-Standards-Version: 4.1.4
+               r-cran-rngtools (>= 1.5),
+               r-cran-iterators
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dorng
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dorng.git
 Homepage: https://cran.r-project.org/package=doRNG
+Rules-Requires-Root: no
 
 Package: r-cran-dorng
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-doparallel
Restrictions: allow-stderr

## r-cran-dorng 1.8.6

=== DESCRIPTION ===
Package: doRNG
Type: Package
Title: Generic Reproducible Parallel Backend for 'foreach' Loops
Version: 1.8.6
Encoding: UTF-8
Authors@R: person("Renaud", "Gaujoux", email = "renozao@protonmail.com", role = c("aut", "cre"))
Description: Provides functions to perform
    reproducible parallel foreach loops, using independent
    random streams as generated by L'Ecuyer's combined
    multiple-recursive generator [L'Ecuyer (1999), <DOI:10.1287/opre.47.1.159>].
    It enables to easily convert standard '%dopar%' loops into
    fully reproducible loops, independently of the number
    of workers, the task scheduling strategy, or the chosen
    parallel environment and associated foreach backend.
License: GPL (>= 2)
LazyLoad: yes
URL: https://renozao.github.io/doRNG/
BugReports: https://github.com/renozao/doRNG/issues
VignetteBuilder: knitr
Depends: R (>= 3.0.0), foreach, rngtools (>= 1.5)
Imports: stats, utils, iterators
Suggests: doParallel, doMPI, doRedis, rbenchmark, devtools, knitr,
        rbibutils (>= 1.3), testthat, pkgmaker (>= 0.32.7), covr
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-01-13 15:12:10 UTC; renaud
Author: Renaud Gaujoux [aut, cre]
Maintainer: Renaud Gaujoux <renozao@protonmail.com>
Repository: CRAN
Date/Publication: 2023-01-16 11:00:03 UTC

=== debian/changelog ===
r-cran-dorng (1.8.6-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jan 2023 15:35:20 +0100

r-cran-dorng (1.8.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Set upstream metadata fields: Bug-Database.

 -- Andreas Tille <tille@debian.org>  Wed, 21 Dec 2022 08:01:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: r-cran-dorng
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dorng
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dorng.git
+Homepage: https://cran.r-project.org/package=doRNG
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-foreach,
                r-cran-rngtools (>= 1.5),
                r-cran-iterators
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dorng
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dorng.git
-Homepage: https://cran.r-project.org/package=doRNG
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-dorng
 Architecture: all

## r-cran-dorng 1.8.6.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: doRNG
 Type: Package
 Title: Generic Reproducible Parallel Backend for 'foreach' Loops
-Version: 1.8.6
+Version: 1.8.6.1
 Encoding: UTF-8
 Authors@R: person("Renaud", "Gaujoux", email = "renozao@protonmail.com", role = c("aut", "cre"))
 Description: Provides functions to perform
@@ -23,8 +23,8 @@
         rbibutils (>= 1.3), testthat, pkgmaker (>= 0.32.7), covr
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-01-13 15:12:10 UTC; renaud
+Packaged: 2025-01-13 12:20:36 UTC; hornik
 Author: Renaud Gaujoux [aut, cre]
 Maintainer: Renaud Gaujoux <renozao@protonmail.com>
 Repository: CRAN
-Date/Publication: 2023-01-16 11:00:03 UTC
+Date/Publication: 2025-01-13 16:22:54 UTC

=== debian/changelog ===
r-cran-dorng (1.8.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 17:07:14 +0900

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-cran-dorng
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dorng
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dorng.git
-Homepage: https://cran.r-project.org/package=doRNG
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-foreach,
-               r-cran-rngtools (>= 1.5),
+               r-cran-rngtools,
                r-cran-iterators
-Testsuite: autopkgtest-pkg-r
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dorng
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dorng.git
+Homepage: https://cran.r-project.org/package=doRNG
+Rules-Requires-Root: no
 
 Package: r-cran-dorng
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-doparallel,
        r-cran-devtools,
        r-cran-knitr,
        r-cran-rbibutils (>= 1.3),
        r-cran-testthat,
        r-cran-pkgmaker (>= 0.32.7),
        r-cran-covr
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/doRNG_([-\d.]*)\.tar\.gz

## r-cran-dorng 1.8.6.2

=== debian/changelog ===
r-cran-dorng (1.8.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 18 Dec 2025 13:02:50 +0900

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,10 @@
                r-base-dev,
                r-cran-foreach,
                r-cran-rngtools,
-               r-cran-iterators
-Standards-Version: 4.7.0
+               r-cran-iterators,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dorng
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dorng.git
 Homepage: https://cran.r-project.org/package=doRNG

=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,5 @@
         r-cran-knitr,
         r-cran-rbibutils (>= 1.3),
         r-cran-testthat,
-        r-cran-pkgmaker (>= 0.32.7),
         r-cran-covr
 Restrictions: allow-stderr

## r-cran-dorng 1.8.6.3

=== DESCRIPTION ===
Package: doRNG
Type: Package
Title: Generic Reproducible Parallel Backend for 'foreach' Loops
Version: 1.8.6.3
Date: 2026-02-05
Encoding: UTF-8
Authors@R: c(
    person("Renaud", "Gaujoux",
    email = "renozao@protonmail.com", role = c("aut")),
    person(given = c("Emilio", "L."), family = "Sáenz Guillén",
       email = "Emilio.Saenz-Guillen@citystgeorges.ac.uk", role = "cre")
    )
Description: Provides functions to perform
    reproducible parallel foreach loops, using independent
    random streams as generated by L'Ecuyer's combined
    multiple-recursive generator [L'Ecuyer (1999), <DOI:10.1287/opre.47.1.159>].
    It enables to easily convert standard '%dopar%' loops into
    fully reproducible loops, independently of the number
    of workers, the task scheduling strategy, or the chosen
    parallel environment and associated foreach backend.
License: GPL (>= 2)
LazyLoad: yes
URL: https://github.com/emilioluissaenzguillen/doRNG
BugReports: https://github.com/emilioluissaenzguillen/doRNG/issues
Depends: R (>= 3.0.0), foreach, rngtools (>= 1.5)
Imports: stats, utils, iterators
Suggests: doParallel, doMPI, doRedis, rbenchmark, knitr, rbibutils (>=
        1.3), testthat, covr
RoxygenNote: 7.3.3
NeedsCompilation: no
Packaged: 2026-02-05 13:57:41 UTC; emili
Author: Renaud Gaujoux [aut],
  Emilio L. Sáenz Guillén [cre]
Maintainer: Emilio L. Sáenz Guillén <Emilio.Saenz-Guillen@citystgeorges.ac.uk>
Repository: CRAN
Date/Publication: 2026-02-05 15:50:03 UTC

=== debian/changelog ===
r-cran-dorng (1.8.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 18 Feb 2026 10:56:31 +0900

=== debian/control ===
Source: r-cran-dorng
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-foreach,
 r-cran-rngtools,
 r-cran-iterators,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dorng
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dorng.git
Homepage: https://cran.r-project.org/package=doRNG
Rules-Requires-Root: no

Package: r-cran-dorng
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R generic reproducible parallel backend for 'foreach' loops
 This GNU R package provides functions to perform
 reproducible parallel foreach loops, using independent
 random streams as generated by L'Ecuyer's combined
 multiple-recursive generator [L'Ecuyer (1999), <DOI:10.1287/opre.47.1.159>].
 It enables to easily convert standard %dopar% loops into
 fully reproducible loops, independently of the number
 of workers, the task scheduling strategy, or the chosen
 parallel environment and associated foreach backend.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-doparallel,
 r-cran-knitr,
 r-cran-rbibutils (>= 1.3),
 r-cran-testthat,
 r-cran-covr,
 r-cran-devtools,
